%define upstream_name    Error
%define upstream_version 0.17024

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      1

Summary:    Error/exception handling in an OO-ish way
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
The Error package provides two interfaces. Firstly Error
provides a procedural interface to exception handling.
Secondly Error is a base class for errors/exceptions that
can either be thrown, for subsequent catch, or can simply
be recorded.
Errors in the class Error should not be thrown directly,
but the user should throw errors from a sub-class of Error.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc ChangeLog LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Error
%{perl_vendorlib}/Error.pm
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1:0.170.240-3.mga6
+ Revision: 1026931
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1:0.170.240-2.mga6
+ Revision: 967961
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1:0.170.240-1.mga6
+ Revision: 850939
- update to 0.17024

* Wed Oct 15 2014 umeabot <umeabot> 1:0.170.220-4.mga5
+ Revision: 748652
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1:0.170.220-3.mga5
+ Revision: 732097
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:0.170.220-2.mga5
+ Revision: 684645
- Mageia 5 Mass Rebuild

* Thu Feb 13 2014 jquelin <jquelin> 1:0.170.220-1.mga5
+ Revision: 590714
- update to 0.17022

* Sat Oct 19 2013 umeabot <umeabot> 1:0.170.210-2.mga4
+ Revision: 533370
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 sander85 <sander85> 1:0.170.210-1.mga4
+ Revision: 472704
- update to 0.17021

* Sun Jun 02 2013 kharec <kharec> 1:0.170.200-1.mga4
+ Revision: 434991
- update to 0.17020

* Sun Jan 13 2013 umeabot <umeabot> 1:0.170.190-2.mga3
+ Revision: 366887
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1:0.170.190-1.mga3
+ Revision: 342150
- update to 0.17019

* Tue Jun 05 2012 kharec <kharec> 1:0.170.180-1.mga3
+ Revision: 254554
- update to 0.17018

* Thu Feb 23 2012 jquelin <jquelin> 1:0.170.170-1.mga2
+ Revision: 212857
- update to 0.17017

* Thu Jan 20 2011 jquelin <jquelin> 1:0.170.160-1.mga1
+ Revision: 26099
- mageia rebuild
- imported package perl-Error

